#ifndef __IO_MANAGE_H__
#define __IO_MANAGE_H__
/**
  ******************************************************************************
  * @file    HeatAck/Src/io_manage.h
  * @author  Electrolab
  * @brief   This file implements external world management
  *          Header file
  ******************************************************************************
  * @attention
  *
  *
  ******************************************************************************
**/
/* Definition for TIMx clock resources */
#define TIMx                           TIM3
#define TIMx_CLK_ENABLE()              __HAL_RCC_TIM3_CLK_ENABLE()

/* Definition for TIMx Channel Pins */
#define TIMx_CHANNEL_GPIO_PORT()       __HAL_RCC_GPIOB_CLK_ENABLE();
#define TIMx_GPIO_PORT_CHANNEL1        GPIOB
#define TIMx_GPIO_PORT_CHANNEL2        GPIOB
#define TIMx_GPIO_PORT_CHANNEL3        GPIOB
#define TIMx_GPIO_PORT_CHANNEL4        GPIOB
#define TIMx_GPIO_PIN_CHANNEL1         GPIO_PIN_4
#define TIMx_GPIO_PIN_CHANNEL2         GPIO_PIN_5
#define TIMx_GPIO_PIN_CHANNEL3         GPIO_PIN_0
#define TIMx_GPIO_PIN_CHANNEL4         GPIO_PIN_1
#define TIMx_GPIO_AF_CHANNEL1          GPIO_AF2_TIM3
#define TIMx_GPIO_AF_CHANNEL2          GPIO_AF2_TIM3
#define TIMx_GPIO_AF_CHANNEL3          GPIO_AF2_TIM3
#define TIMx_GPIO_AF_CHANNEL4          GPIO_AF2_TIM3


/* Public functions ----------------------------------------------------------*/

int io_initialize (void);

int io_set_PWM1_duty (uint32_t duty);
int io_set_PWM2_duty (uint32_t duty);
int io_set_PWM3_duty (uint32_t duty);
int io_set_PWM4_duty (uint32_t duty);

int io_set_aux(int state);

#endif /* __IO_MANAGE_H__ */