/**
  ******************************************************************************
  * @file    HeatACK/main.h
  * @author  ELECTROLAB
  * @brief   Header for main.c module
  ******************************************************************************
  * @attention
  *
  * Current VER 0 REV 3
  *
  * Software version history
  *
  * VER 0 REV 3 : Updated MAC address to fit Electrolab needs.
  *               Added a GET VERSION instruction on CLI
  *               Known issues :
  *                              - ethnernet media link status a startup
  *                              - CLI server instance ?
  *
  *
  * VER 0 REV 2 : PWM working on 4 channels (SETFAN uses only one... Others are
  *               reserved for future evolutionss.
  *               Relay control (on LED3 pin)
  *
  * VER 0 REV 1 : Early network connection with early CLI server...
  *               Time to dance !
  *
  *
  *
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f2xx_hal.h"
#include "stm32f2xx_nucleo_144.h"

#include "cmsis_os.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/ 
//#define USE_DHCP       /* enable DHCP, if disabled static address is used*/
 
/*Software version*/
#define SOFT_VER 0
#define SOFT_REV 3


/*Static IP ADDRESS*/
#define IP_ADDR0   (uint8_t) 172
#define IP_ADDR1   (uint8_t) 16
#define IP_ADDR2   (uint8_t) 41
#define IP_ADDR3   (uint8_t) 32
   
/*NETMASK*/
#define NETMASK_ADDR0   (uint8_t) 255
#define NETMASK_ADDR1   (uint8_t) 255
#define NETMASK_ADDR2   (uint8_t) 255
#define NETMASK_ADDR3   (uint8_t) 0

/*Gateway Address*/
#define GW_ADDR0   (uint8_t) 172
#define GW_ADDR1   (uint8_t) 16
#define GW_ADDR2   (uint8_t) 41
#define GW_ADDR3   (uint8_t) 254

 /********* To set MAD address, see stm32f2xx_hal_conf.h *********/

/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */  


#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */


/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
